%define version	2.20
%define release	1mdk
%define modname IP-Country

Summary:	IP::Country modules for Perl 
Name:		perl-%{modname}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Source0:	http://cpan.uwinnipeg.ca/cpan/authors/id/N/NW/NWETTERS/%{modname}-%{version}.tar.bz2
Url:		http://www.cpan.org
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	noarch
BuildRequires:	perl-devel
BuildRequires:	perl-Geography-Countries
Requires:	perl-Geography-Countries

%description
IP lookup modules for Perl. This package also provides the ip2cc utility, to
lookup country from IP address or hostname.

%prep
%setup -q -n %{modname}-%{version} 

%build
perl Makefile.PL INSTALLDIRS=vendor
make
make test

%install
rm -rf %{buildroot} 
%makeinstall_std

%clean 
rm -rf %{buildroot} 

%files
%defattr(-,root,root)
%doc CHANGES README
%{perl_vendorlib}/*
%{_mandir}/*/*
%{_bindir}/*

%changelog
* Mon May 09 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2.20-1mdk
- 2.20
- add tests, spec cleanup, rewrite description

* Mon Nov 15 2004 Austin Acton <austin@mandrake.org> 2.18-1mdk
- 2.18

* Sun Dec 14 2003 Abel Cheung <deaddog@deaddog.org> 2.17-1mdk
- 2.17

* Wed May 28 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.11-2mdk
- rebuild for new auto{prov,req}

* Tue Apr 1 2003 Austin Acton <aacton@yorku.ca> 2.11-1mdk
- initial package
